<?php
session_start();
date_default_timezone_set('America/Sao_Paulo');
if(isset($_POST['g-recaptcha-response'])){
          $captcha=$_POST['g-recaptcha-response'];
        }
        if(!$captcha){
        echo "<script>";

echo utf8_decode("alert('Captcha não preenchido!');");

echo "window.close();";

echo"</script>";

exit;
        }
		
		if(isset($_SESSION["captcha"])){
        $response=$_SESSION["captcha"];} 
		else{
			 $response=file_get_contents("https://www.google.com/recaptcha/api/siteverify?secret=6Lep5QsTAAAAAHKK8uTwmrLDl_2fZ3sr-R2j-r_b&response=".$captcha."&remoteip=".$_SERVER['REMOTE_ADDR']);
			
			
			
		}
		$data = json_decode($response);
		 

if (isset($data->success) AND $data->success==false) {
            // everything is ok!

            echo "<script>";

echo "alert('Captcha preenchido incorretamente!');";

echo "window.close();";

echo"</script>";

exit;
        }

$_SESSION["captcha"] = $response;
include "configbd.php";

 
       

function validaCPF($cpf) {
if($cpf=='11111111111' || $cpf=='22222222222'  || $cpf=='33333333333' || $cpf=='44444444444'|| $cpf=='55555555555' || $cpf=='66666666666'|| $cpf=='77777777777' || $cpf=='88888888888' || $cpf=='99999999999'|| $cpf=='00000000000'){
return false;
}

    $tam_cpf = strlen($cpf); 
    $cpf_limpo = "";
    for ($i=0; $i<$tam_cpf; $i++) { 
      $carac = substr($cpf, $i, 1); 
      if (ord($carac)>=48 && ord($carac)<=57) // verifica se o codigo asc refere-se a 0-9 
        $cpf_limpo .= $carac; 
    } 
    if (strlen($cpf_limpo)!=11) 
      return false; 
 
    // achar o primeiro digito verificador 
    $soma = 0; 
    for ($i=0; $i<9; $i++) 
      $soma += (int)substr($cpf_limpo, $i, 1) * (10-$i); 
 
    if ($soma == 0) 
      return false; 
 
    $primeiro_digito = 11 - $soma % 11; 
 
    if ($primeiro_digito > 9) 
      $primeiro_digito = 0; 
 
    if (substr($cpf_limpo, 9, 1) != $primeiro_digito) 
      return false; 
 
    // acha o segundo digito verificador 
    $soma = 0; 
    for ($i=0; $i<10; $i++) 
      $soma += (int)substr($cpf_limpo, $i, 1) * (11-$i); 
 
    $segundo_digito = 11 - $soma % 11; 
 
    if ($segundo_digito > 9) 
      $segundo_digito = 0; 
 
    if (substr($cpf_limpo, 10, 1) != $segundo_digito) 
      return false; 
 
    return true; 
  } 

///VALIDAR CPF
  
 
$cpf=$_POST["cpf"];
$sinais= array("/"," ",".","-",",");
      $cpf=str_replace($sinais,"",$cpf);


$validando =  validaCPF($cpf); 
// verificando se o resultado foi true ou false
if($validando) {
$cpf_validado=preg_replace( '#[^0-9]#', '', $cpf );
$valor = substr($cpf_validado , 0, 3);
$cpf = str_pad($valor, 3, "0", STR_PAD_LEFT).".".substr($cpf_validado , 3, 3).".".substr($cpf_validado , 6, 3)."-".substr($cpf_validado , 9, 2);

} else {

	echo "<script>";

echo utf8_decode("alert('CPF inserido é inválido!');");

 echo "window.close();";

echo"</script>";

 exit;
}




// VERIFICA EMAIL E NOME DE NUCLEO
$sql_verifica1 = "SELECT * FROM senuc_login where email='".$_POST['email']."'";
$busca1 = mysqli_query($conexao,$sql_verifica1);
$linhas1=mysqli_num_rows($busca1);
$sql_verifica2 = "SELECT * FROM senuc_login where username='".$_POST['email']."'";
$busca2 = mysqli_query($conexao,$sql_verifica2);
$linhas2=mysqli_num_rows($busca2);
$sql_verifica3 = "SELECT * FROM senuc_nucleo where nome='".$_POST['nome_nucleo']."'";
$busca3 = mysqli_query($conexao,$sql_verifica3);
$linhas3=mysqli_num_rows($busca3);

if($linhas1!=0)
{
	
	
	
	echo "<script>";

echo "alert('Favor informar outro email! O email informado consta em nosso sistema');";

echo "window.close();";

echo"</script>";

exit;
	 
}
if($linhas2!=0)
{
	echo "<script>";

echo "alert('Favor informar outro email! O email informado consta em nosso sistema');";

echo "window.close();";

echo"</script>";

exit;
	 
}
if($linhas3!=0)
{
		echo "<script>";

echo "alert('Favor escolher outro nome para seu núcleo! O nome escolhido já consta em nosso sistema');";

echo "window.close();";

echo"</script>";

exit;
	 
}

$concordo = isset($_POST['aceito']) ? mysql_escape_string(strip_tags(trim($_POST['aceito']))) : false;
if(!$concordo){
  echo "<script>";

  echo "alert('Você precisa aceitar os termos antes.');";
  
  echo "window.close();";
  
  echo"</script>";
  
  exit;
}



// Here you must put your code for validating and escaping all the input data,
// inserting new records in your DB and echo-ing a message of the type:

// echo msg(1,"/member-area.php");

// where member-area.php is the address on your site where registered users are
// redirected after registration.

$nome = mysql_escape_string(strip_tags(trim($_POST['nome']))); 
$cpf = mysql_escape_string(strip_tags(trim($_POST['cpf'])));
$sexo = mysql_escape_string(strip_tags(trim($_POST['sexo']))); 
$estado = mysql_escape_string(strip_tags(trim($_POST['estado']))); 
$cidade = mysql_escape_string(strip_tags(trim($_POST['cidade'])));
$endereco = mysql_escape_string(strip_tags(trim($_POST['endereco']))); 
$telefone = mysql_escape_string(strip_tags(trim($_POST['telefone'])));
$celular = mysql_escape_string(strip_tags(trim($_POST['celular']))) ;
 
$email = mysql_escape_string(strip_tags(trim($_POST['email']))) ;
$nascimento = mysql_escape_string(strip_tags(trim($_POST['nascimento'])))  ;

$etnia = mysql_escape_string(strip_tags(trim($_POST['etnia']))); 
$escolaridade = mysql_escape_string(strip_tags(trim($_POST['escolaridade']))) ;
$renda = mysql_escape_string(strip_tags(trim($_POST['renda']))) ;
$nome_nucleo = mysql_escape_string(strip_tags(trim($_POST['nome_nucleo']))) ;
$tipo_nucleo = mysql_escape_string(strip_tags(trim($_POST['tipo_nucleo'])));

$estado_nucleo = mysql_escape_string(strip_tags(trim($_POST['estado_nucleo'])));
$cidade_nucleo = mysql_escape_string(strip_tags(trim($_POST['cidade_nucleo'] ))); 
$endereco_nucleo= mysql_escape_string(strip_tags(trim($_POST['endereco_nucleo']))) ;
$cep_nucleo = mysql_escape_string(strip_tags(trim($_POST['cep_nucleo']))) ;
$telefone_nucleo = mysql_escape_string(strip_tags(trim($_POST['telefone_nucleo']))) ;
$regional = mysql_escape_string(strip_tags(trim($_POST['regional']))) ;
$site_nucleo = mysql_escape_string(strip_tags(trim($_POST['website']))) ;
$email_nucleo = mysql_escape_string(strip_tags(trim($_POST['email_nucleo'])));

$profissao = mysql_escape_string(strip_tags(trim($_POST['profissao']))) ;

$campo = $_REQUEST['prepara_para'];
$selected_cnt   = count($campo); 
$prepara_para = "";
for ($i = 0; $i < $selected_cnt; $i++){ 
        $prepara_para .= $campo[$i]; 
        $prepara_para .= ($i+1 <  $selected_cnt)? ",": "";
} 


$campo2 = $_REQUEST['funciona_em'];
$selected_cnt2   = count($campo2); 
$funciona_em = "";
for ($i = 0; $i < $selected_cnt2; $i++){ 
        $funciona_em .= $campo2[$i]; 
        $funciona_em .= ($i+1 <  $selected_cnt2)? ",": "";
} 



$data_atual = date('Y-m-d');
$min_aluno=0; 
$min_professor=0; 
$min_coordenador=0; 
 $alunos_por_coordenador = 0;

$senha = "827ccb0eea8a706c4c34a16891f84e7b";
//CALCULO META DE FUNCIONAEMNto
if($tipo_nucleo==1){

$meta_funcionamento = $selected_cnt2*4;}

else{
$sql_chave = "SELECT meta_dias_aberto_virtual as dias FROM senuc_config";
$busca_chave = mysqli_query($conexao,$sql_chave);
 while($dados_chave = mysqli_fetch_assoc($busca_chave)){
$dias_virtual =$dados_chave['dias'];}
$meta_funcionamento = 	$dias_virtual;
}
// CALCULO ALUNOS POR COORDENADOR

if($tipo_nucleo==1){

$sql_chave = "SELECT limite_alunos_por_coordenador as limite_alunos FROM senuc_config";
$busca_chave = mysqli_query($conexao,$sql_chave);
 while($dados_chave = mysqli_fetch_assoc($busca_chave)){
$alunos_por_coordenador =$dados_chave['limite_alunos'];}

}

//CALCULO META DE ALUNO
if($tipo_nucleo==1){
$sql_chave = "SELECT meta_alunos_presencial as meta_presencial FROM senuc_config";
$busca_chave = mysqli_query($conexao,$sql_chave);
 while($dados_chave = mysqli_fetch_assoc($busca_chave)){
$meta_alunos =$dados_chave['meta_presencial'];}

}
else{
$sql_chave = "SELECT meta_alunos_virtual as meta_virtual FROM senuc_config";
$busca_chave = mysqli_query($conexao,$sql_chave);
 while($dados_chave = mysqli_fetch_assoc($busca_chave)){
$meta_alunos =$dados_chave['meta_virtual'];}

}
// CALCULO MINIMO PRESENCA ALUNO_PRESENCIAL
if($tipo_nucleo==1){
$sql_chave = "SELECT min_presenca_aluno as min_aluno FROM senuc_config";
$busca_chave = mysqli_query($conexao,$sql_chave);
 while($dados_chave = mysqli_fetch_assoc($busca_chave)){
$min_aluno =$dados_chave['min_aluno'];}

}


// CALCULO MINIMO PRESENCA COORDENADOR_PRESENCIAL
if($tipo_nucleo==1){
$sql_chave = "SELECT min_presenca_coordenador as min_coordenador FROM senuc_config";
$busca_chave = mysqli_query($conexao,$sql_chave);
 while($dados_chave = mysqli_fetch_assoc($busca_chave)){
$min_coordenador =$dados_chave['min_coordenador'];}

}


// CALCULO MINIMO PRESENCA PROFESSOR_PRESENCIAL
if($tipo_nucleo==1){
$sql_chave = "SELECT min_presenca_professor as min_professor FROM senuc_config";
$busca_chave = mysqli_query($conexao,$sql_chave);
 while($dados_chave = mysqli_fetch_assoc($busca_chave)){
$min_professor =$dados_chave['min_professor'];}

}
// CALCULO MINIMO ATIVIDADES_PRESENCIAL E VIRTUAL
if($tipo_nucleo==1){
$sql_chave = "SELECT min_atividades_presencial as min_presencial FROM senuc_config";
$busca_chave = mysqli_query($conexao,$sql_chave);
 while($dados_chave = mysqli_fetch_assoc($busca_chave)){
$min_atividades =$dados_chave['min_presencial'];}

}
else{
$sql_chave = "SELECT min_atividades_presencial as min_presencial FROM senuc_config";
$busca_chave = mysqli_query($conexao,$sql_chave);
 while($dados_chave = mysqli_fetch_assoc($busca_chave)){
$min_atividades =$dados_chave['min_presencial'];}

}




$sql1="INSERT INTO `senuc_nucleo` (`login`, `senha`, `nome`, `responsavel`, `endereco`, `cep`, `estado`, `cidade`, `idregional`, `tipo`, `site`, `email`, `telefone`, `data_inicio`,`prepara_para`,`funciona_em`, `ativo`, `meta_funcionamento`, `meta_alunos`,`limite_alunos_por_coordenador`,`min_presenca_coordenador`,`min_presenca_professor`,`min_presenca_aluno`,`min_atividades`) VALUES
('$email', '$senha', '$nome_nucleo', '$nome', '$endereco_nucleo', '$cep_nucleo', '$estado_nucleo','$cidade_nucleo','$regional','$tipo_nucleo', '$site_nucleo', '$email_nucleo', '$telefone_nucleo', '$data_atual', '$prepara_para', '$funciona_em', 0, '$meta_funcionamento', '$meta_alunos','$alunos_por_coordenador', '$min_coordenador','$min_professor','$min_aluno','$min_atividades')";
$result1 = mysqli_query($conexao,$sql1)or die("Falha na execu�ao da instru�ao SQL!  1"); 
$id_nucleo = mysqli_insert_id($conexao);

$sql2= "INSERT INTO `senuc_coordenador` (`idnucleo`, `nome`, `cpf`, `estado`, `cidade`, `endereco`, `email`, `telefone`, `celular`,  `ingresso_nucleo`, `nascimento`, `etnia`, `renda`, `escolaridade`,  `ativo`,  `idregional`,  `tipo_coordenador`,  `profissao`) VALUES
('$id_nucleo', '$nome', '$cpf', '$estado', '$cidade', '$endereco', '$email', '$telefone', '$celular',  '$data_atual', '$nascimento','$etnia','$renda','$escolaridade', '1','$regional','1','$profissao')";
$result2 = mysqli_query($conexao,$sql2) or die("Falha na execu�ao da instru�ao SQL!  2" . mysqli_error() ); 

$sql3="INSERT INTO `senuc_login` (`username`, `nome`, `email`, `telefone`, `celular`,  `senha`, `idnucleo`, `idregional`) VALUES
('$email','$nome','$email','$telefone','$celular', '$senha', '$id_nucleo','$regional')";
$result3 = mysqli_query($conexao,$sql3)or die("Falha na execu�ao da instru�ao SQL!   3"); 
$id_login = mysqli_insert_id($conexao);

if($tipo_nucleo==1){
$sql4="INSERT INTO `senucnovo_ugmembers` (`UserName`, `GroupID`) VALUES
('$email', 1)";
$result4 = mysqli_query($conexao,$sql4)or die("Falha na execu�ao da instru�ao SQL  4 !"); 
}else{
$sql4="INSERT INTO `senucnovo_ugmembers` (`UserName`, `GroupID`) VALUES
('$email', 8)";
$result4 = mysqli_query($conexao,$sql4)or die("Falha na execu�ao da instru�ao SQL  4 !"); }


/// GERA CURSO MOODLE

 

$shortname = "";
$array_nome = explode ( " ",$nome_nucleo);
$shortname = $array_nome[0];


$nomecompleto = $nome;
$sobrenome = "";
$array_nome = explode ( " ",$nomecompleto);
$primeiro_nome = $array_nome[0];
for($i=1; $i < count($array_nome); $i++) {
$sobrenome.=" ".$array_nome[$i];
}


include "../conexao_mdl.php";
$sql5="INSERT INTO `mdl_course` (`category`, `sortorder`, `fullname`, `shortname`,  `summary`, `summaryformat`, `format`, `showgrades`,  `startdate`,  `marker`, `maxbytes`, `legacyfiles`, `showreports`, `visible`, `visibleold`, `hiddensections`, `groupmode`, `groupmodeforce`, `defaultgroupingid`, `lang`, `theme`, `timecreated`, `timemodified`) VALUES
(1, '$id_nucleo', '$nome_nucleo', '$shortname', '<p>BEM VINDO AO NÚCLEO EDUCAFRO!!!</p>', 1, 'weeks', 1, UNIX_TIMESTAMP(NOW()), 0, 52428800, 0, 0, 0, 0, 0, 0, 0, 0, 'pt_br', '', UNIX_TIMESTAMP(NOW()), UNIX_TIMESTAMP(NOW()))";


ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);



//$sql5 = "INSERT INTO mdl_course (category,fullname,shortname) VALUES (1,'$nome_nucleo','$shortname')";  
$result5 = mysqli_query($conexao2, $sql5);
if(!$result5){
  die(mysqli_error($conexao2)."Falha na execucao da instrucao SQL!   5");
  exit();
}
$id_curso = mysqli_insert_id ($conexao2);

$sql6="INSERT INTO mdl_context (contextlevel,instanceid) VALUES (50,'$id_curso')";

$result6 = mysqli_query($conexao2, $sql6);
if(!$result6){
  die(mysqli_error($conexao2)."Falha na execucao da instrucao SQL!6");
  exit();
}
$id_context = mysqli_insert_id ($conexao2);


$sql7="UPDATE  mdl_context SET path='/1/3/".$id_context."', depth=3 WHERE id='$id_context' ";
$result7 = mysqli_query($conexao2, $sql7);
if(!$result7){
  die(mysqli_error($conexao2)."Falha na execucao da instrucao SQL!7");
  exit();
}

$sql8="INSERT INTO mdl_course_sections (course,section) VALUES ('$id_curso',0)";
$result8 = mysqli_query($conexao2, $sql8);
if(!$result8){
  die(mysqli_error($conexao2)."Falha na execucao da instrucao SQL!8");
  exit();
}



// INSERE COMO TUTOR COM MESMA SENHA E LOGIN

$sql19="SELECT * from mdl_user where username='$email' order by id desc limit 1";
$result19 = mysqli_query($conexao2,$sql19);
if(!$result19){
  die(mysqli_error($conexao2)."Falha na execucao da instrucao SQL!sql19");
  exit();
}
$registros = mysqli_num_rows($result19);
if($registros==0){
  $sql9="INSERT INTO mdl_user (firstname,lastname,email,username,password,confirmed,description, mnethostid,lang) VALUES ('$primeiro_nome','$sobrenome','$email','$email','$senha',1,'Coordenador Geral',1, 'pt_br')";
  $result9 = mysqli_query($conexao2, $sql9);
  if(!$result9){
    die(mysqli_error($conexao2)."Falha na execucao da instrucao SQL!sql19");
    exit;
  }
  $id_user = mysqli_insert_id($conexao2);}
else{
  while($dados=mysqli_fetch_array($result19)){
    $id_user =$dados['id'];
  }
}


$sql10 = "INSERT INTO mdl_role_assignments (roleid,contextid,userid,timemodified,modifierid,sortorder,itemid) VALUES (9,'$id_context','$id_user',UNIX_TIMESTAMP(NOW()),'2','$id_nucleo','0')";
$result10 = mysqli_query($conexao2, $sql10)or die("Falha na execucao da instrucao");
if(!$result10){
  die(mysqli_error($conexao2)."Falha na execucao da instrucao SQL!sql10");
  exit;
}

///RECUPERA CHAVE///

$sql20 = "INSERT INTO `mdl_enrol` (`enrol`, `status`, `courseid`, `sortorder`, `name`, `enrolperiod`, `enrolstartdate`, `enrolenddate`, `expirynotify`, `expirythreshold`, `notifyall`, `password`, `cost`, `currency`, `roleid`, `customint1`, `customint2`, `customint3`, `customint4`, `customchar1`, `customchar2`, `customdec1`, `customdec2`, `customtext1`, `customtext2`, `timecreated`, `timemodified`) values
('manual', 0, '$id_curso', '$id_nucleo', NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, UNIX_TIMESTAMP(NOW()), UNIX_TIMESTAMP(NOW())),
('guest', 1, '$id_curso', '$id_nucleo', NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, UNIX_TIMESTAMP(NOW()), UNIX_TIMESTAMP(NOW())),
('self', 1, '$id_curso', '$id_nucleo', NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, UNIX_TIMESTAMP(NOW()), UNIX_TIMESTAMP(NOW()))";


$result20 = mysqli_query($conexao2, $sql20);
if(!$result20){
  die(mysqli_error($conexao2)."Falha na execucao da instrucao SQL!sql20");
  exit;
}



$sql_chave = "SELECT id FROM mdl_enrol WHERE courseid='".$id_curso."' AND enrol='manual'";
$busca_chave = mysqli_query($conexao2, $sql_chave);
 while($dados_chave = mysqli_fetch_assoc($busca_chave)){
$chave =$dados_chave['id'];}

/////INSERE CHAVe///

$sql_insere_chave = "INSERT INTO mdl_user_enrolments (status,enrolid,userid,timestart,timeend,timecreated,timemodified,modifierid) VALUES ('0','".$chave."','".$id_user."',UNIX_TIMESTAMP(NOW()),'0',UNIX_TIMESTAMP(NOW()),UNIX_TIMESTAMP(NOW()),'2')";
mysqli_query($conexao2, $sql_insere_chave);

  
 $sql40="UPDATE senuc_login set id_mdl='$id_user' where id='$id_login'";
$result40 = mysqli_query($conexao1, $sql40);

$sql41="UPDATE senuc_nucleo set id_mdl='$id_curso' where id='$id_nucleo'";
$result41 = mysqli_query($conexao1, $sql41);

echo "<script>";

echo "location.href = 'registered.html';";

echo"</script>";

?>